Subject: Re: [PATCH net-next 0/5] Modernize bitbanged GPIO MDIO

From: Andrew Lunn <[email-masked]>
Date: Sun, 25 Feb 2018 20:08:30 +0100

On Sun, Feb 25, 2018 at 01:51:27PM +0100, Linus Walleij wrote:
> This kills off the platform data support from the bitbanged
> GPIO-based MDIO driver and moves it over to using GPIO
> descriptors exclusively.

Hi Linus

I like where this ends up. I wounder about the path it takes to get
there. There seems to be quite a lot of code which gets moved around
and then in the end deleted. Maybe changing the order of the patches
would help. Converting to devm_gpiod_get_index() first would remove
all the active_low flags. Then remove all the unused reset callback,
irq, etc?

     Thanks
	Andrew